import pygame


class text:
    def __init__(self, text):
        self.text = text
        self.font = pygame.font.SysFont(None, 50)
        self.screen = pygame.display.get_surface()
        
        self.image = self.font.render(self.text, False, (0, 0, 255))
        self.image.set_alpha(0)
        self.a = 0
        self.process = 0

        self.dt = max(len(self.text) * 150 - 4000, 0)

        self.x = self.screen.get_width() / 2 - self.image.get_width() / 2
        self.y = 20

    def blit(self):
        self.screen.blit(self.image, (self.x, self.y))

        if self.process == 0:
            self.a += 1
            self.image.set_alpha(self.a)

            if self.a == 255:
                self.process = 1
                self.t = pygame.time.get_ticks()

        elif self.process == 1:
            if pygame.time.get_ticks() >= self.t + self.dt:
                self.process = 2

        elif self.process == 2:
            self.a -= 1
            self.image.set_alpha(self.a)

            if not self.a:
                self.process = 3
